;
;Assembly language interface file for QuickBASIC
;

	DOSSEG

	.MODEL	MEDIUM,BASIC

	.DATA

	.CODE


	PUBLIC	SetSystem

SetSystem	PROC	Action: WORD

	MOV	AX,0EE80H
	MOV	BX,Action
	INT	10H
	RET

SetSystem	ENDP


	PUBLIC	GetSystem

GetSystem	PROC	Action: WORD

	MOV	AX,0EE80H
	MOV	BX,Action
	INT	10H
	RET

GetSystem	ENDP


	PUBLIC	ExtSound

ExtSound	PROC	Frequency: WORD, Duration: WORD, Volume: WORD, Channel: WORD

	MOV	AX,0EE81H
	MOV	BX,Volume
	MOV	CX,Channel
	MOV	SI,Frequency
	MOV	DI,Duration
	INT	10H
	RET

ExtSound	ENDP


	PUBLIC	Noise

Noise		PROC	NoiseType: WORD, Volume: WORD, Duration: WORD

	MOV	AX,0EE82H
	MOV	BX,NoiseType
	MOV	CX,Volume
	MOV	DX,Duration
	INT	10H
	RET

Noise		ENDP

	PUBLIC	Pause

Pause		PROC	Duration: WORD

	MOV	AX,0EE83H
	MOV	BX,Duration
	INT	10H
	RET

Pause		ENDP


	PUBLIC	SpeakerOff

SpeakerOff	PROC

	MOV	AX,8002H
	INT	1AH
	RET

SpeakerOff	ENDP


	PUBLIC	SpeakerOn

SpeakerOn	PROC

	MOV	AL,9FH
	OUT	0C0H,AL
	MOV	AL,0BFH
	OUT	0C0H,AL
	MOV	AL,0DFH
	OUT	0C0H,AL
	MOV	AX,8003H
	INT	1AH
	RET

SpeakerOn	ENDP

	PUBLIC	FastTimer

FastTimer	PROC	Speed: WORD

	MOV	AX,0EE84H
	MOV	BX,Speed
	INT	10H
	RET

FastTimer	ENDP


	PUBLIC	ResetTimer

ResetTimer	PROC

	MOV	AX,0EE85H
	INT	10H
	RET

ResetTimer	ENDP


	PUBLIC	GetTimer

GetTimer	PROC	Timer: DWORD

	MOV	AX,0EE86H
	INT	10H
	LES	DI,Timer
	MOV	ES:[DI],BX
	RET

GetTimer	ENDP

	END
