 '*****************************************************************************
 '* P-DEMO - Palette demo.                                                    *
 '*                                                                           *
 '* Press ESC to exit program                                                 *
 '*****************************************************************************
 '$INCLUDE: 'SOUNDQBS.INC' 

 DECLARE SUB EGAPal(BYVAL PalReg%, BYVAL PalColor%)
 DECLARE SUB EGAPalUsing(SEG PalArray%)

 DIM H0(15), H1(15), H2(15), H3(15), H4(15), H5(15), H6(15), H7(15), H8(15)
 DIM H9(15), H10(15), H11(15), H12(15), C1(2), C2(3)

 CALL AudioOff
 FOR N = 0 TO 7
   READ H0(N)
 NEXT N
 FOR N = 0 TO 7
   READ H1(N)
 NEXT N
 FOR N = 0 TO 7
   READ H2(N)
 NEXT N
 FOR N = 0 TO 7
   READ H3(N)
 NEXT N
 FOR N = 0 TO 7
   READ H4(N)
 NEXT N
 FOR N = 0 TO 7
   READ H5(N)
 NEXT N
 FOR N = 0 TO 7
   READ H6(N)
 NEXT N
 FOR N = 0 TO 7
   READ H7(N)
 NEXT N
 FOR N = 0 TO 15
   READ H8(N)
 NEXT N
 FOR N = 0 TO 15
   READ H9(N)
 NEXT N
 FOR N = 0 TO 15
   READ H10(N)
 NEXT N
 FOR N = 0 TO 15
   READ H11(N)
 NEXT N
 FOR N = 0 TO 15
   READ H12(N)
 NEXT N

 C1(1) = 2
 C1(2) = 3
 C2(1) = 1
 C2(2) = 3
 C2(3) = 62
 PauseVal = 3
 ON ERROR GOTO EndProgram
 SCREEN 7
 CALL EGAPalUsing(H0(0))
 DEF SEG = &HA000
 FOR I = 0 TO 3
   OUT &H3C4, 2
   OUT &H3C5, 2 ^ I
   F$ = "P-DEMO" + CHR$(I + 48) + ".GRA"
   BLOAD F$, 0
 NEXT I
 DEF SEG

Again:
 RANDOMIZE TIMER
 CALL EGAPalUsing(H0(0))

MainLoop:
 S1 = 120
 FOR N = 1 TO 7
   GOSUB LightCoils1
   GOSUB MakeSound
   GOSUB LightCoils2
   GOSUB MakeSound
 NEXT N
 FOR N = 1 TO 7
   GOSUB LightPosts
   GOSUB LightCoils1
   GOSUB LightCoils2
   GOSUB MakeSound
 NEXT N
 FOR N = 1 TO 4
   GOSUB LightGlobes
 NEXT N
 FOR N = 1 TO 5
   GOSUB LightArcs
   GOSUB MakeSound
 NEXT N
 RANDOMIZE TIMER
 TIMES = 0
 NO.TIMES = INT(RND * 7 + 1)
 WHILE TIMES < NO.TIMES
   L = 6
   GOSUB LightEmAll
   TIMES = TIMES + 1
 WEND
 GOTO MainLoop

MakeSound:
 CALL ExtSound(S1, 10, 7, 0)
 CALL ExtSound(S1 + 5, 10, 7, 1)
 CALL ExtSound(S1 + 10, 10, 7, 2)
 S1 = S1 + 5
 GOSUB CheckKey
 RETURN

LightCoils1:
 CALL EGAPalUsing(H2(0))
 CALL Pause(PauseVal)
 GOSUB CheckKey
 RETURN

LightCoils2:
 CALL EGAPalUsing(H3(0))
 CALL Pause(PauseVal)
 GOSUB CheckKey
 RETURN

LightPosts:
 CALL EGAPal(2, 6)
 CALL EGAPal(3, 62)
 J = 1
 FOR T = 1 TO 2
   FOR Y = 193 TO 58 STEP -14
     FOR X = 42 TO 278 STEP 236
       PAINT (X, Y), C1(J), 1
     NEXT X
   NEXT Y
   GOSUB MakeSound
   LINE (68, 42)-(72, 42), C1(J)
   LINE (250, 42)-(253, 42), C1(J)
   J = J MOD 2 + 1
 NEXT T
 GOSUB CheckKey
 RETURN

LightGlobes:
 CALL EGAPalUsing(H4(0))
 CALL Pause(PauseVal)
 CALL EGAPalUsing(H5(0))
 CALL Pause(PauseVal)
 GOSUB MakeSound
 CALL EGAPalUsing(H6(0))
 CALL Pause(PauseVal)
 CALL EGAPalUsing(H7(0))
 CALL Pause(PauseVal)
 GOSUB MakeSound
 GOSUB CheckKey
 RETURN

LightArcs:
 GOSUB MakeNoise
 CALL EGAPalUsing(H4(0))
 GOSUB GetZ
 CALL EGAPal(8, C2(Z))
 CALL EGAPalUsing(H5(0))
 GOSUB GetZ
 CALL EGAPal(9, C2(Z))
 CALL EGAPalUsing(H6(0))
 GOSUB GetZ
 CALL EGAPal(10, C2(Z))
 CALL EGAPalUsing(H7(0))
 GOSUB GetZ
 CALL EGAPal(9, C2(Z))
 GOSUB CheckKey
 RETURN

GetZ:
 Z = INT(RND * 3) + 1
 CALL Pause(2)
 GOSUB CheckKey
 RETURN

MakeNoise:
 CALL Noise(5, 8, 12)
 GOSUB CheckKey
 RETURN

LightEmAll:
 FOR T = 1 TO 5
   CALL Noise(5, L, 18)
   CALL EGAPalUsing(H8(0))
   CALL Pause(PauseVal)
   CALL EGAPalUsing(H9(0))
   CALL Pause(PauseVal)
   CALL EGAPalUsing(H10(0))
   CALL Pause(PauseVal)
   CALL EGAPalUsing(H11(0))
   CALL Pause(PauseVal)
   CALL EGAPalUsing(H12(0))
   CALL Pause(PauseVal)
   L = L + 1
   GOSUB CheckKey
 NEXT T
 RETURN

CheckKey:
 K$ = INKEY$
 K$ = RIGHT$(K$, 1)
 IF K$ = CHR$(27) THEN
   CALL AudioOff
   GOTO EndProgram
 END IF
 RETURN

EndProgram:
 SCREEN 0, 0, 0
 WIDTH 80
 END

 DATA 00,00,00,00,00,00,00,00
 DATA 00,01,56,56,56,07,03,56
 DATA 00,01,56,56,06,58,03,56
 DATA 00,01,56,56,58,03,03,56
 DATA 00,01,06,62,06,58,03,04
 DATA 00,01,62,06,58,03,04,62
 DATA 00,01,06,62,06,58,62,62
 DATA 00,01,62,06,58,03,04,62
 DATA 00,01,06,62,06,58,03,04,03,00,00,62,00,00,00,00
 DATA 00,01,62,06,58,03,04,62,00,57,00,00,06,00,00,00
 DATA 00,01,06,62,06,58,62,62,00,00,01,00,00,04,00,00
 DATA 00,01,62,06,58,03,04,62,00,10,00,00,00,00,05,00
 DATA 00,01,06,62,06,58,03,04,03,00,00,00,00,00,00,57
