{
  Procedures interface unit file for TURBO PASCAL
}

UNIT Sound;

INTERFACE

PROCEDURE AudioOff;
PROCEDURE ExtSound(Frequency, Duration, Volume, Channel: WORD);
FUNCTION  GetSystem(Action: WORD): WORD;
PROCEDURE Noise(NoiseType, Volume, Duration: WORD);
PROCEDURE NoiseBufOff;
PROCEDURE NoiseBufOn;
PROCEDURE NoiseOff;
PROCEDURE Pause(Duration: WORD);
PROCEDURE SetSystem(Action: WORD);
PROCEDURE SoundBufOff;
PROCEDURE SoundBufOn;
PROCEDURE SoundOff;
PROCEDURE SpeakerOff;
PROCEDURE SpeakerOn;
PROCEDURE FastTimer(Speed: WORD);
PROCEDURE ResetTimer;
PROCEDURE GetTimer(VAR TimerValue: WORD);

IMPLEMENTATION

{$L SOUNDPAS.OBJ}

PROCEDURE ExtSound(Frequency, Duration, Volume, Channel: WORD);  EXTERNAL;
PROCEDURE FastTimer(Speed: WORD); EXTERNAL;
FUNCTION  GetSystem(Action: WORD): WORD; EXTERNAL;
PROCEDURE GetTimer(VAR TimerValue: WORD); EXTERNAL;
PROCEDURE Noise(NoiseType, Volume, Duration: WORD);  EXTERNAL;
PROCEDURE Pause(Duration: WORD);  EXTERNAL;
PROCEDURE ResetTimer; EXTERNAL;
PROCEDURE SetSystem(Action: WORD);  EXTERNAL;
PROCEDURE SpeakerOff; EXTERNAL;
PROCEDURE SpeakerOn; EXTERNAL;

PROCEDURE AudioOff;

BEGIN

  SetSystem(10);

END;

PROCEDURE NoiseBufOff;

BEGIN

  SetSystem(9);

END;

PROCEDURE NoiseBufOn;

BEGIN

  SetSystem(8);

END;

PROCEDURE NoiseOff;

BEGIN

  SetSystem(7);

END;

PROCEDURE SoundBufOff;

BEGIN

  SetSystem(6)

END;

PROCEDURE SoundBufOn;

BEGIN

  SetSystem(5)

END;

PROCEDURE SoundOff;

BEGIN

  SetSystem(4)

END;

END.
